Bug 905283 - HSP/HFP Telephony doesn't work with Bluetooth USB dongle
HSP/HFP Telephony doesn't work with Bluetooth USB dongle
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On: 1045548
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 22:53 EST by Jonathan Kamens
Modified: 2015-12-02 11:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:43:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2013-01-28 22:53:26 EST
I have this Bluetooth USB dongle:

Bus 004 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

If I pair my Motorola SF600 headset with my computer using this dongle, then The HSP/HFP Telephony profile doesn't work. More specifically, input works but output does not. At least, I think input is working -- I can see the mic level move in the sound settings control panel when I talk, though I can't play it back because output doesn't work.

In addition, with various combinations of pairing, unpairing, turning on, and turning off, I managed to get things into two interesting states relatively quickly -- one in which the sound settings let me change the profile drop-down but refused to actually switch the headset to that profile, and one in which bluetooth stopped working completely and shutting it off and on wouldn't help -- it would not turn back on. Right now, for example, I connected the headset, went to the sound settings, saw that it was set to the telephony profile, changed it to the high fidelity profile, and then clicked Test Speakers. The speaker testing window should have two buttons, one for left and one for right, but it has only one, as if it's still in telephony mode, and clicking the Test button hangs for a while without doing anything. In short, it's  bit of a mess.

I also tested with a second Bluetooth USB dongle; this one, neither input NOR output works when I select the HSP/HFP Telephony profile:

Bus 004 Device 002: ID 0a5c:21e8 Broadcom Corp. BCM20702A0 Bluetooth 4.0

I also tested a cheap Bluetiger bluetooth headset with the same result.

In contrast, the HSP/HFP Telephony profile _does_ work with this headset when I pair it to Fedora 18 on my ThinkPad T420i, with this BlueTooth hardware:

Bus 001 Device 021: ID 0a5c:217f Broadcom Corp. Bluetooth Controller
Comment 1 Jonathan Kamens 2013-02-01 11:03:39 EST
I contacted BlueRigger about this and they tested their dongle on Fedora 18 with two different headsets and observed the same behavior as I did.

BlueRigger said HFP/HSP works fine with their dongle on Ubuntu.
Comment 2 Jonathan Kamens 2013-02-24 16:17:17 EST
I tested today with Ubuntu 12.10 and it has the same problem, so I think the BlueRigger folks were full of it when they said this problem doesn't occur on Ubuntu.

I also tested Fedora 17, and it didn't recognize the Bluetooth 4.0 dongle at all.
Comment 3 Fedora Admin XMLRPC Client 2013-08-26 10:25:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-12-21 05:57:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jonathan Kamens 2013-12-22 10:20:34 EST
I don't know for certain if this is still an issue in Fedora 20, but I'm changing the version to keep the bug open for now because I can't confirm one way or the other until bug 1045548 is addressed.
Comment 6 Joshua Rosen 2015-03-31 09:07:33 EDT
HSP/HFP doesn't work in Fedora 21. I have a dongle with the following chip,

Bus 004 Device 003: ID 0a5c:21e8 Broadcom Corp. BCM20702A0 Bluetooth 4.0

The A2DP profile works fine with multiple devices but the HSP/HFP doesn't. I have a set of Bose headphones, when HSP/HFP is selected in Sound Preferences and the headphones are selected as the input and output device, I get no sound. When A2DP is selected they work fine. I also have a speaker that supports HSP/HFP and A2DP, the behavior is the same.
Comment 7 Fedora End Of Life 2015-11-04 05:37:46 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-12-01 21:43:43 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.